Skip to main content
POST
Rescue assets from a strategy

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

address
string
required

Stellar address of the vault contract

Example:

"CBNKCU3HGFKHFOF7JTGXQCNKE3G3DXS5RDBQUKQMIIECYKXPIOUGB2S3"

Query Parameters

network
enum<string>
required

Stellar network to execute the transaction on (testnet or mainnet)

Available options:
testnet,
mainnet

Body

application/json

Rescue operation parameters. All parameters are required for this emergency operation.

strategy_address
string
required

Stellar address of the strategy contract to rescue assets from. Must be a valid Stellar contract address.

Example:

"CDB2WMKQQNVZMEBY7Q7GZ5C7E7IAFSNMZ7GGVD6WKTCEWK7XOIAVZSAP"

caller
string
required

Stellar address of the user initiating the rescue operation. Must be a valid Stellar public key.

Example:

"GB7NTQG4EXB7NZEA5GNFHIHEQVTGQTZ6OWKWUD535FBEHNSEVCKZULIY"

Response

Transaction prepared successfully

xdr
string

Base64 encoded transaction XDR ready for signing

simulationResponse
object

Simulation result of the transaction

functionName
string

Function name for the operation

params
object

Parameters used for the operation